{% extends '::base.html.twig'%}
{% block body %}
    {% block fos_user_content %}
        {% trans_default_domain 'FOSUserBundle' %}
        <div class="row">
            <div class="col-sm-12">
                <h3 style="text-align: center; font-family: RobotoRegular">Modifier mon mot de passe</h3>
            </div>
        </div>
        <div class="row" style="padding: 15px">
            <div class="col-sm-12" style="background: #EDEDED; height: auto;">
                <div class="row" style="margin-top: 15px; margin-bottom: 30px">
                    <div class="col-sm-4"></div>
                    <div class="col-sm-4">

                        {{ form_start(form, { 'action': path('user_change_password'), 'attr': { 'class': 'fos_user_change_password' } }) }}
                        {%if form_errors(form.current_password) != ""%}
                            <div style="padding: 3px; margin-bottom: 5px; font-size: 0.9em" class="alert alert-danger alert-dismissible fade in" role="alert"> 
                                <button style="right: 0px" type="button" class="close" data-dismiss="alert" aria-label="Close">
                                    <span aria-hidden="true">×</span>
                                </button>
                                {{ form_errors(form.current_password) }}
                            </div>
                        {%endif%}
                        {{ form_widget(form.current_password, {'attr': {'placeholder': 'Mot de passe actuel', 'class': 'form-control'} }) }}
                        <br/>
                        {%if form_errors(form.plainPassword.first) != ""%}
                            <div style="padding: 3px; margin-bottom: 5px; font-size: 0.9em" class="alert alert-danger alert-dismissible fade in" role="alert"> 
                                <button style="right: 0px" type="button" class="close" data-dismiss="alert" aria-label="Close">
                                    <span aria-hidden="true">×</span>
                                </button>
                                {{ form_errors(form.plainPassword.first) }}
                            </div>
                        {%endif%}
                        {{ form_widget(form.plainPassword.first, {'attr': {'placeholder': 'Nouveau mot de passe', 'class': 'form-control'} }) }}
                        <br/>
                        {%if form_errors(form.plainPassword.second) != ""%}
                            <div style="padding: 3px; margin-bottom: 5px; font-size: 0.9em" class="alert alert-danger alert-dismissible fade in" role="alert"> 
                                <button style="right: 0px" type="button" class="close" data-dismiss="alert" aria-label="Close">
                                    <span aria-hidden="true">×</span>
                                </button>
                                {{ form_errors(form.plainPassword.second) }}
                            </div>
                        {%endif%}
                        {{ form_widget(form.plainPassword.second, {'attr': {'placeholder': 'ressaisir mot de passe', 'class': 'form-control'} }) }}
                        <br/>
                        
                        {{ form_widget(form) }}
                        <div>
                            <input class="btn btn-default kifzik-ok-btn" type="submit" value="{{ 'change_password.submit'|trans }}" />
                        </div>
                        {{ form_end(form) }}
                    </div>
                    <div class="col-sm-4"></div>
                </div>
            </div>
        </div>

    {% endblock fos_user_content %}
{% endblock body %}


{#{% block fos_user_content %}
{% include "FOSUserBundle:ChangePassword:changePassword_content.html.twig" %}
{% endblock fos_user_content %}#}
